#!/usr/bin/env python

import sys

def trace(frame, event, arg):
	if event == 'call' and frame.f_code.co_filename.startswith( 'twill' ):
		c = frame.f_code
		print '%s: %s ( %s )' % ( \
				c.co_filename,
				c.co_name,
				', '.join( c.co_varnames[:c.co_argcount] ) )
	return trace
sys.settrace(trace)

if len( sys.argv ) > 1:
	from twill import *
	from mechanize import *
	# THE WORKING TEST
	b=Browser()
	b.open('http://myspace.com')
	b.select_form('theForm')
	b['email']='myname@myhost'
	b['password']='mypass'
	print b.submit().read()
else:
	from twill import *
	from mechanize import *
	from twill.commands import *
	# THE NONWORKING TEST
	go('http://myspace.com')
